summaryrefslogtreecommitdiff
path: root/tests/lavfi-regression.sh
diff options
context:
space:
mode:
authorStefano Sabatini <stefano.sabatini-lala@poste.it>2009-10-27 19:34:48 +0000
committerStefano Sabatini <stefano.sabatini-lala@poste.it>2009-10-27 19:34:48 +0000
commit77f66963b08d3c89c997169581eedbd3fbb0e8aa (patch)
tree2984fa52a5ba863ffc218820225eb020ad35b85c /tests/lavfi-regression.sh
parent13547dd11fb16f1278857a2d7b2cbc9a9f3e6ecb (diff)
Split codec-regression.sh again and create a lavfi-regression.sh for
running the libavfilter tests. Originally committed as revision 20384 to svn://svn.ffmpeg.org/ffmpeg/trunk
Diffstat (limited to 'tests/lavfi-regression.sh')
-rwxr-xr-xtests/lavfi-regression.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/lavfi-regression.sh b/tests/lavfi-regression.sh
new file mode 100755
index 0000000000..1f52fd7eee
--- /dev/null
+++ b/tests/lavfi-regression.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# automatic regression test for libavfilter
+#
+#
+#set -x
+
+set -e
+
+. $(dirname $0)/regression-funcs.sh
+
+eval do_$test=y
+
+rm -f "$logfile"
+rm -f "$benchfile"
+
+do_lavfi() {
+ test_name=$1
+ eval test=\$do_$test_name
+ vfilters=$2
+
+ if [ -n "$test" ] ; then
+ do_video_encoding ${test_name}.avi "" "-vcodec rawvideo -vfilters $vfilters"
+ fi
+}
+
+# example tests:
+# do_lavfi "crop" "crop=100:100:-1:-1"
+# do_lavfi "crop_scale" "crop=100:100,scale=200:-1"
+# do_lavfi "scale" "scale=200:200"
+
+# TODO: add tests for
+# direct rendering,
+# slices
+# chains with feedback loops
+
+rm -f "$bench" "$bench2"